function QRCodeController(ScreenService, QRCodeRepository, StoreListRepository, CheckOrderService){

    this.generateQRCode = function(widget) {
        StoreListRepository.findOne().then(function (store){
            CheckOrderService.makeOrder(store['CDFILIAL'], store['CDLOJA'], store['CDCAIXA']).then(function (dataset){
                var qrCodeValue = dataset.MakeOrderRepository.CDFILIAL + "?" + dataset.MakeOrderRepository.NRVENDAREST + "?" + dataset.MakeOrderRepository.NRCOMANDA;

                var qr = qrcode(14, 'M');
                qr.addData(qrCodeValue);
                qr.make();

                var imgTag = qr.createImgTag();

                imgTag = imgTag.substring(0, imgTag.indexOf("width")) + 'class="qrCode" />';

                widget.getField('qrcode').text = (imgTag);
            });
        });
        ScreenService.successNotification('Pedido feito com sucesso!');
    };
}

Configuration(function(ContextRegister){
    ContextRegister.register('QRCodeController', QRCodeController);
});